### 5.1.50 gcd

`Syntax:`
  `gcd (` int_expression`,` int_expression `)`
  `gcd (` bigint_expression`,` bigint_expression `)`
  `gcd (` number_expression`,` number_expression `)`
  `gcd (` poly_expression`,` poly_expression `)`
`Type:`
  the same as the type of the arguments
`Purpose:`
  computes the greatest common divisor.
`Note:`
  Not implemented for the coefficient fields real and finite fields of type `(p^n,a)`.
  The gcd of two numbers is their gcd as integer numbers or polynomials, otherwise it is not defined.
`Example:`

        gcd(2,3);
      ==> 1
        gcd(bigint(2)^20,bigint(3)^23);     // also applicable for bigints
      ==> 1
        typeof(_);
      ==> bigint
        ring r=0,(x,y,z),lp;
        gcd(3x2*(x+y),9x*(y2-x2));
      ==> x2+xy
        gcd(number(6472674604870),number(878646537247372));
      ==> 2

See bigint; extgcd; int; number.

User manual for Singular version 4.4.1, 2025, generated by texi2html.